%define ver_major 2.16

%def_enable python

Name: gedit-plugins
Version: %ver_major.0
Release: alt1.1

Summary: Plugins for GEdit
License: GPL
Group: Editors
Url: http://gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

# From configure.in
%define glib_ver 2.8.0
%define gtk_ver 2.8.0
%define gtksourceview_ver 1.2.0
%define libglade_ver 2.4.0
%define gnome_vfs_ver 2.13.4

# Because of _gedit_plugins_dir macro
BuildPreReq: gedit-devel >= 2.15.9-alt1

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: gnome-doc-utils >= 0.3.2
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgtksourceview-devel >= %gtksourceview_ver
BuildPreReq: libglade2-devel >= %libglade_ver
BuildPreReq: gnome-vfs-devel >= %gnome_vfs_ver
# For Charmap plugin
BuildPreReq: libgucharmap-devel >= 1.6.0
# For Terminal plugin
BuildPreReq: %py_dependencies vte

%if_enabled python
#BuildPreReq: python-dev >= 2.3
BuildPreReq: python-module-pygtk-devel >= 2.8.0
BuildPreReq: python-module-pygnome-desktop-devel >= 2.13.3
%endif

%description
gEdit is a small but powerful text editor designed expressly for GNOME.

It includes such features as split-screen mode, a plugin API, which
allows gEdit to be extended to support many features while remaining
small at its core, multiple document editing through the use of a
'tabbed' notebook and many more functions.

This package contains various plugins for gEdit, including Charmap, Terminal, and others.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-scrollkeeper \
    --disable-schemas-install \

%make

%install
%makeinstall

%find_lang --with-gnome --output=files_list %name

%define schemas gedit-show-tabbar-plugin
for s in %schemas; do
    echo "%%config %_sysconfdir/gconf/schemas/$s.schemas"
done >>files_list

%post
%gconf2_install %schemas

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

# TODO: Mention plugins explicitly. Maybe even split them into separate packages.
%files -f files_list
%_gedit_plugins_dir/*.gedit-plugin
%_gedit_plugins_dir/*.so
%_gedit_plugins_dir/*.py
%_gedit_plugins_dir/*.pyc
%_gedit_plugins_dir/*.pyo

%exclude %_gedit_plugins_dir/*.la

%changelog
* Mon Oct 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1.1
- rebuild

* Sat Sep 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)

* Mon Sep 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.5-alt1
- Initial Sisyphus package

